pkgsrc/games/gltron/patches/patch-ab
cube 554c77a7b7 Update to version 0.70.
- booster
- wall acceleration
- better handling of .ini file (versioning & protection against partly
  written files)
- simplified GUI
- new bot AI
2004-01-18 13:58:57 +00:00

2478 lines
84 KiB
Text

$NetBSD: patch-ab,v 1.1 2004/01/18 13:58:57 cube Exp $
--- configure.orig 2003-12-14 10:00:19.000000000 +0100
+++ configure
@@ -1020,10 +1020,7 @@ build_cpu=`echo $ac_cv_build | sed 's/^\
build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
-test -z "$build_alias" &&
- build_alias=$ac_cv_build
-
-echo "$as_me:1026: checking host system type" >&5
+echo "$as_me:1023: checking host system type" >&5
echo $ECHO_N "checking host system type... $ECHO_C" >&6
if test "${ac_cv_host+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1032,22 +1029,19 @@ else
test -z "$ac_cv_host_alias" &&
ac_cv_host_alias=$ac_cv_build_alias
ac_cv_host=`$ac_config_sub $ac_cv_host_alias` ||
- { { echo "$as_me:1035: error: $ac_config_sub $ac_cv_host_alias failed" >&5
+ { { echo "$as_me:1032: error: $ac_config_sub $ac_cv_host_alias failed" >&5
echo "$as_me: error: $ac_config_sub $ac_cv_host_alias failed" >&2;}
{ (exit 1); exit 1; }; }
fi
-echo "$as_me:1040: result: $ac_cv_host" >&5
+echo "$as_me:1037: result: $ac_cv_host" >&5
echo "${ECHO_T}$ac_cv_host" >&6
host=$ac_cv_host
host_cpu=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
host_vendor=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
-test -z "$host_alias" &&
- host_alias=$ac_cv_host
-
-echo "$as_me:1050: checking target system type" >&5
+echo "$as_me:1044: checking target system type" >&5
echo $ECHO_N "checking target system type... $ECHO_C" >&6
if test "${ac_cv_target+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1056,12 +1050,12 @@ else
test "x$ac_cv_target_alias" = "x" &&
ac_cv_target_alias=$ac_cv_host_alias
ac_cv_target=`$ac_config_sub $ac_cv_target_alias` ||
- { { echo "$as_me:1059: error: $ac_config_sub $ac_cv_target_alias failed" >&5
+ { { echo "$as_me:1053: error: $ac_config_sub $ac_cv_target_alias failed" >&5
echo "$as_me: error: $ac_config_sub $ac_cv_target_alias failed" >&2;}
{ (exit 1); exit 1; }; }
fi
-echo "$as_me:1064: result: $ac_cv_target" >&5
+echo "$as_me:1058: result: $ac_cv_target" >&5
echo "${ECHO_T}$ac_cv_target" >&6
target=$ac_cv_target
target_cpu=`echo $ac_cv_target | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
@@ -1074,9 +1068,6 @@ test -n "$target_alias" &&
test "$program_prefix$program_suffix$program_transform_name" = \
NONENONEs,x,x, &&
program_prefix=${target_alias}-
-test -z "$target_alias" &&
- target_alias=$ac_cv_target
-
# Find a good install program. We prefer a C program (faster),
# so one script is as good as another. But avoid the broken or
# incompatible versions:
@@ -1089,7 +1080,7 @@ test -z "$target_alias" &&
# AFS /usr/afsws/bin/install, which mishandles nonexistent args
# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
# ./install, which can be erroneously created by make from ./install.sh.
-echo "$as_me:1092: checking for a BSD compatible install" >&5
+echo "$as_me:1083: checking for a BSD compatible install" >&5
echo $ECHO_N "checking for a BSD compatible install... $ECHO_C" >&6
if test -z "$INSTALL"; then
if test "${ac_cv_path_install+set}" = set; then
@@ -1138,7 +1129,7 @@ fi
INSTALL=$ac_install_sh
fi
fi
-echo "$as_me:1141: result: $INSTALL" >&5
+echo "$as_me:1132: result: $INSTALL" >&5
echo "${ECHO_T}$INSTALL" >&6
# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
@@ -1149,7 +1140,7 @@ test -z "$INSTALL_SCRIPT" && INSTALL_SCR
test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
-echo "$as_me:1152: checking whether build environment is sane" >&5
+echo "$as_me:1143: checking whether build environment is sane" >&5
echo $ECHO_N "checking whether build environment is sane... $ECHO_C" >&6
# Just in case
sleep 1
@@ -1173,7 +1164,7 @@ if (
# if, for instance, CONFIG_SHELL is bash and it inherits a
# broken ls alias from the environment. This has actually
# happened. Such a system could not be considered "sane".
- { { echo "$as_me:1176: error: ls -t appears to fail. Make sure there is not a broken
+ { { echo "$as_me:1167: error: ls -t appears to fail. Make sure there is not a broken
alias in your environment" >&5
echo "$as_me: error: ls -t appears to fail. Make sure there is not a broken
alias in your environment" >&2;}
@@ -1186,13 +1177,13 @@ then
# Ok.
:
else
- { { echo "$as_me:1189: error: newly created file is older than distributed files!
+ { { echo "$as_me:1180: error: newly created file is older than distributed files!
Check your system clock" >&5
echo "$as_me: error: newly created file is older than distributed files!
Check your system clock" >&2;}
{ (exit 1); exit 1; }; }
fi
-echo "$as_me:1195: result: yes" >&5
+echo "$as_me:1186: result: yes" >&5
echo "${ECHO_T}yes" >&6
test "$program_prefix" != NONE &&
program_transform_name="s,^,$program_prefix,;$program_transform_name"
@@ -1217,7 +1208,7 @@ if eval "$MISSING --run true"; then
else
am_missing_run=
am_backtick='`'
- { echo "$as_me:1220: WARNING: ${am_backtick}missing' script is too old or missing" >&5
+ { echo "$as_me:1211: WARNING: ${am_backtick}missing' script is too old or missing" >&5
echo "$as_me: WARNING: ${am_backtick}missing' script is too old or missing" >&2;}
fi
@@ -1225,7 +1216,7 @@ for ac_prog in mawk gawk nawk awk
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
-echo "$as_me:1228: checking for $ac_word" >&5
+echo "$as_me:1219: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_AWK+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1240,7 +1231,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_AWK="$ac_prog"
-echo "$as_me:1243: found $ac_dir/$ac_word" >&5
+echo "$as_me:1234: found $ac_dir/$ac_word" >&5
break
done
@@ -1248,17 +1239,17 @@ fi
fi
AWK=$ac_cv_prog_AWK
if test -n "$AWK"; then
- echo "$as_me:1251: result: $AWK" >&5
+ echo "$as_me:1242: result: $AWK" >&5
echo "${ECHO_T}$AWK" >&6
else
- echo "$as_me:1254: result: no" >&5
+ echo "$as_me:1245: result: no" >&5
echo "${ECHO_T}no" >&6
fi
test -n "$AWK" && break
done
-echo "$as_me:1261: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "$as_me:1252: checking whether ${MAKE-make} sets \${MAKE}" >&5
echo $ECHO_N "checking whether ${MAKE-make} sets \${MAKE}... $ECHO_C" >&6
set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,./+-,__p_,'`
if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
@@ -1278,11 +1269,11 @@ fi
rm -f conftest.make
fi
if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
- echo "$as_me:1281: result: yes" >&5
+ echo "$as_me:1272: result: yes" >&5
echo "${ECHO_T}yes" >&6
SET_MAKE=
else
- echo "$as_me:1285: result: no" >&5
+ echo "$as_me:1276: result: no" >&5
echo "${ECHO_T}no" >&6
SET_MAKE="MAKE=${MAKE-make}"
fi
@@ -1318,7 +1309,7 @@ rmdir .deps 2>/dev/null
# test to see if srcdir already configured
if test "`CDPATH=:; cd $srcdir && pwd`" != "`pwd`" &&
test -f $srcdir/config.status; then
- { { echo "$as_me:1321: error: source directory already configured; run \"make distclean\" there first" >&5
+ { { echo "$as_me:1312: error: source directory already configured; run \"make distclean\" there first" >&5
echo "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;}
{ (exit 1); exit 1; }; }
fi
@@ -1375,7 +1366,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
set dummy ${ac_tool_prefix}gcc; ac_word=$2
-echo "$as_me:1378: checking for $ac_word" >&5
+echo "$as_me:1369: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1390,7 +1381,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_CC="${ac_tool_prefix}gcc"
-echo "$as_me:1393: found $ac_dir/$ac_word" >&5
+echo "$as_me:1384: found $ac_dir/$ac_word" >&5
break
done
@@ -1398,10 +1389,10 @@ fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
- echo "$as_me:1401: result: $CC" >&5
+ echo "$as_me:1392: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
- echo "$as_me:1404: result: no" >&5
+ echo "$as_me:1395: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1410,7 +1401,7 @@ if test -z "$ac_cv_prog_CC"; then
ac_ct_CC=$CC
# Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
-echo "$as_me:1413: checking for $ac_word" >&5
+echo "$as_me:1404: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1425,7 +1416,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_CC="gcc"
-echo "$as_me:1428: found $ac_dir/$ac_word" >&5
+echo "$as_me:1419: found $ac_dir/$ac_word" >&5
break
done
@@ -1433,10 +1424,10 @@ fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
- echo "$as_me:1436: result: $ac_ct_CC" >&5
+ echo "$as_me:1427: result: $ac_ct_CC" >&5
echo "${ECHO_T}$ac_ct_CC" >&6
else
- echo "$as_me:1439: result: no" >&5
+ echo "$as_me:1430: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1449,7 +1440,7 @@ if test -z "$CC"; then
if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
set dummy ${ac_tool_prefix}cc; ac_word=$2
-echo "$as_me:1452: checking for $ac_word" >&5
+echo "$as_me:1443: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1464,7 +1455,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_CC="${ac_tool_prefix}cc"
-echo "$as_me:1467: found $ac_dir/$ac_word" >&5
+echo "$as_me:1458: found $ac_dir/$ac_word" >&5
break
done
@@ -1472,10 +1463,10 @@ fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
- echo "$as_me:1475: result: $CC" >&5
+ echo "$as_me:1466: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
- echo "$as_me:1478: result: no" >&5
+ echo "$as_me:1469: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1484,7 +1475,7 @@ if test -z "$ac_cv_prog_CC"; then
ac_ct_CC=$CC
# Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
-echo "$as_me:1487: checking for $ac_word" >&5
+echo "$as_me:1478: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1499,7 +1490,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_CC="cc"
-echo "$as_me:1502: found $ac_dir/$ac_word" >&5
+echo "$as_me:1493: found $ac_dir/$ac_word" >&5
break
done
@@ -1507,10 +1498,10 @@ fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
- echo "$as_me:1510: result: $ac_ct_CC" >&5
+ echo "$as_me:1501: result: $ac_ct_CC" >&5
echo "${ECHO_T}$ac_ct_CC" >&6
else
- echo "$as_me:1513: result: no" >&5
+ echo "$as_me:1504: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1523,7 +1514,7 @@ fi
if test -z "$CC"; then
# Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
-echo "$as_me:1526: checking for $ac_word" >&5
+echo "$as_me:1517: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1543,7 +1534,7 @@ if test "$ac_dir/$ac_word" = "/usr/ucb/c
continue
fi
ac_cv_prog_CC="cc"
-echo "$as_me:1546: found $ac_dir/$ac_word" >&5
+echo "$as_me:1537: found $ac_dir/$ac_word" >&5
break
done
@@ -1565,10 +1556,10 @@ fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
- echo "$as_me:1568: result: $CC" >&5
+ echo "$as_me:1559: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
- echo "$as_me:1571: result: no" >&5
+ echo "$as_me:1562: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1579,7 +1570,7 @@ if test -z "$CC"; then
do
# Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:1582: checking for $ac_word" >&5
+echo "$as_me:1573: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1594,7 +1585,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
-echo "$as_me:1597: found $ac_dir/$ac_word" >&5
+echo "$as_me:1588: found $ac_dir/$ac_word" >&5
break
done
@@ -1602,10 +1593,10 @@ fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
- echo "$as_me:1605: result: $CC" >&5
+ echo "$as_me:1596: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
- echo "$as_me:1608: result: no" >&5
+ echo "$as_me:1599: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1618,7 +1609,7 @@ if test -z "$CC"; then
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
-echo "$as_me:1621: checking for $ac_word" >&5
+echo "$as_me:1612: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1633,7 +1624,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_CC="$ac_prog"
-echo "$as_me:1636: found $ac_dir/$ac_word" >&5
+echo "$as_me:1627: found $ac_dir/$ac_word" >&5
break
done
@@ -1641,10 +1632,10 @@ fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
- echo "$as_me:1644: result: $ac_ct_CC" >&5
+ echo "$as_me:1635: result: $ac_ct_CC" >&5
echo "${ECHO_T}$ac_ct_CC" >&6
else
- echo "$as_me:1647: result: no" >&5
+ echo "$as_me:1638: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1656,32 +1647,32 @@ fi
fi
-test -z "$CC" && { { echo "$as_me:1659: error: no acceptable cc found in \$PATH" >&5
+test -z "$CC" && { { echo "$as_me:1650: error: no acceptable cc found in \$PATH" >&5
echo "$as_me: error: no acceptable cc found in \$PATH" >&2;}
{ (exit 1); exit 1; }; }
# Provide some information about the compiler.
-echo "$as_me:1664:" \
+echo "$as_me:1655:" \
"checking for C compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
-{ (eval echo "$as_me:1667: \"$ac_compiler --version </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1658: \"$ac_compiler --version </dev/null >&5\"") >&5
(eval $ac_compiler --version </dev/null >&5) 2>&5
ac_status=$?
- echo "$as_me:1670: \$? = $ac_status" >&5
+ echo "$as_me:1661: \$? = $ac_status" >&5
(exit $ac_status); }
-{ (eval echo "$as_me:1672: \"$ac_compiler -v </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1663: \"$ac_compiler -v </dev/null >&5\"") >&5
(eval $ac_compiler -v </dev/null >&5) 2>&5
ac_status=$?
- echo "$as_me:1675: \$? = $ac_status" >&5
+ echo "$as_me:1666: \$? = $ac_status" >&5
(exit $ac_status); }
-{ (eval echo "$as_me:1677: \"$ac_compiler -V </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1668: \"$ac_compiler -V </dev/null >&5\"") >&5
(eval $ac_compiler -V </dev/null >&5) 2>&5
ac_status=$?
- echo "$as_me:1680: \$? = $ac_status" >&5
+ echo "$as_me:1671: \$? = $ac_status" >&5
(exit $ac_status); }
cat >conftest.$ac_ext <<_ACEOF
-#line 1684 "configure"
+#line 1675 "configure"
#include "confdefs.h"
int
@@ -1697,13 +1688,13 @@ ac_clean_files="$ac_clean_files a.out a.
# Try to create an executable without -o first, disregard a.out.
# It will help us diagnose broken compilers, and finding out an intuition
# of exeext.
-echo "$as_me:1700: checking for C compiler default output" >&5
+echo "$as_me:1691: checking for C compiler default output" >&5
echo $ECHO_N "checking for C compiler default output... $ECHO_C" >&6
ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
-if { (eval echo "$as_me:1703: \"$ac_link_default\"") >&5
+if { (eval echo "$as_me:1694: \"$ac_link_default\"") >&5
(eval $ac_link_default) 2>&5
ac_status=$?
- echo "$as_me:1706: \$? = $ac_status" >&5
+ echo "$as_me:1697: \$? = $ac_status" >&5
(exit $ac_status); }; then
# Find the output, starting from the most likely. This scheme is
# not robust to junk in `.', hence go to wildcards (a.*) only as a last
@@ -1726,34 +1717,34 @@ done
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-{ { echo "$as_me:1729: error: C compiler cannot create executables" >&5
+{ { echo "$as_me:1720: error: C compiler cannot create executables" >&5
echo "$as_me: error: C compiler cannot create executables" >&2;}
{ (exit 77); exit 77; }; }
fi
ac_exeext=$ac_cv_exeext
-echo "$as_me:1735: result: $ac_file" >&5
+echo "$as_me:1726: result: $ac_file" >&5
echo "${ECHO_T}$ac_file" >&6
# Check the compiler produces executables we can run. If not, either
# the compiler is broken, or we cross compile.
-echo "$as_me:1740: checking whether the C compiler works" >&5
+echo "$as_me:1731: checking whether the C compiler works" >&5
echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
# FIXME: These cross compiler hacks should be removed for Autoconf 3.0
# If not cross compiling, check that we can run a simple program.
if test "$cross_compiling" != yes; then
if { ac_try='./$ac_file'
- { (eval echo "$as_me:1746: \"$ac_try\"") >&5
+ { (eval echo "$as_me:1737: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:1749: \$? = $ac_status" >&5
+ echo "$as_me:1740: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
cross_compiling=no
else
if test "$cross_compiling" = maybe; then
cross_compiling=yes
else
- { { echo "$as_me:1756: error: cannot run C compiled programs.
+ { { echo "$as_me:1747: error: cannot run C compiled programs.
If you meant to cross compile, use \`--host'." >&5
echo "$as_me: error: cannot run C compiled programs.
If you meant to cross compile, use \`--host'." >&2;}
@@ -1761,24 +1752,24 @@ If you meant to cross compile, use \`--h
fi
fi
fi
-echo "$as_me:1764: result: yes" >&5
+echo "$as_me:1755: result: yes" >&5
echo "${ECHO_T}yes" >&6
rm -f a.out a.exe conftest$ac_cv_exeext
ac_clean_files=$ac_clean_files_save
# Check the compiler produces executables we can run. If not, either
# the compiler is broken, or we cross compile.
-echo "$as_me:1771: checking whether we are cross compiling" >&5
+echo "$as_me:1762: checking whether we are cross compiling" >&5
echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6
-echo "$as_me:1773: result: $cross_compiling" >&5
+echo "$as_me:1764: result: $cross_compiling" >&5
echo "${ECHO_T}$cross_compiling" >&6
-echo "$as_me:1776: checking for executable suffix" >&5
+echo "$as_me:1767: checking for executable suffix" >&5
echo $ECHO_N "checking for executable suffix... $ECHO_C" >&6
-if { (eval echo "$as_me:1778: \"$ac_link\"") >&5
+if { (eval echo "$as_me:1769: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:1781: \$? = $ac_status" >&5
+ echo "$as_me:1772: \$? = $ac_status" >&5
(exit $ac_status); }; then
# If both `conftest.exe' and `conftest' are `present' (well, observable)
# catch `conftest.exe'. For instance with Cygwin, `ls conftest' will
@@ -1794,25 +1785,25 @@ for ac_file in `(ls conftest.exe; ls con
esac
done
else
- { { echo "$as_me:1797: error: cannot compute EXEEXT: cannot compile and link" >&5
+ { { echo "$as_me:1788: error: cannot compute EXEEXT: cannot compile and link" >&5
echo "$as_me: error: cannot compute EXEEXT: cannot compile and link" >&2;}
{ (exit 1); exit 1; }; }
fi
rm -f conftest$ac_cv_exeext
-echo "$as_me:1803: result: $ac_cv_exeext" >&5
+echo "$as_me:1794: result: $ac_cv_exeext" >&5
echo "${ECHO_T}$ac_cv_exeext" >&6
rm -f conftest.$ac_ext
EXEEXT=$ac_cv_exeext
ac_exeext=$EXEEXT
-echo "$as_me:1809: checking for object suffix" >&5
+echo "$as_me:1800: checking for object suffix" >&5
echo $ECHO_N "checking for object suffix... $ECHO_C" >&6
if test "${ac_cv_objext+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 1815 "configure"
+#line 1806 "configure"
#include "confdefs.h"
int
@@ -1824,10 +1815,10 @@ main ()
}
_ACEOF
rm -f conftest.o conftest.obj
-if { (eval echo "$as_me:1827: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1818: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:1830: \$? = $ac_status" >&5
+ echo "$as_me:1821: \$? = $ac_status" >&5
(exit $ac_status); }; then
for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
case $ac_file in
@@ -1839,24 +1830,24 @@ done
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-{ { echo "$as_me:1842: error: cannot compute OBJEXT: cannot compile" >&5
+{ { echo "$as_me:1833: error: cannot compute OBJEXT: cannot compile" >&5
echo "$as_me: error: cannot compute OBJEXT: cannot compile" >&2;}
{ (exit 1); exit 1; }; }
fi
rm -f conftest.$ac_cv_objext conftest.$ac_ext
fi
-echo "$as_me:1849: result: $ac_cv_objext" >&5
+echo "$as_me:1840: result: $ac_cv_objext" >&5
echo "${ECHO_T}$ac_cv_objext" >&6
OBJEXT=$ac_cv_objext
ac_objext=$OBJEXT
-echo "$as_me:1853: checking whether we are using the GNU C compiler" >&5
+echo "$as_me:1844: checking whether we are using the GNU C compiler" >&5
echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
if test "${ac_cv_c_compiler_gnu+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 1859 "configure"
+#line 1850 "configure"
#include "confdefs.h"
int
@@ -1871,16 +1862,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1874: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1865: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:1877: \$? = $ac_status" >&5
+ echo "$as_me:1868: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:1880: \"$ac_try\"") >&5
+ { (eval echo "$as_me:1871: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:1883: \$? = $ac_status" >&5
+ echo "$as_me:1874: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_compiler_gnu=yes
else
@@ -1892,19 +1883,19 @@ rm -f conftest.$ac_objext conftest.$ac_e
ac_cv_c_compiler_gnu=$ac_compiler_gnu
fi
-echo "$as_me:1895: result: $ac_cv_c_compiler_gnu" >&5
+echo "$as_me:1886: result: $ac_cv_c_compiler_gnu" >&5
echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
GCC=`test $ac_compiler_gnu = yes && echo yes`
ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS
CFLAGS="-g"
-echo "$as_me:1901: checking whether $CC accepts -g" >&5
+echo "$as_me:1892: checking whether $CC accepts -g" >&5
echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
if test "${ac_cv_prog_cc_g+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 1907 "configure"
+#line 1898 "configure"
#include "confdefs.h"
int
@@ -1916,16 +1907,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1919: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1910: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:1922: \$? = $ac_status" >&5
+ echo "$as_me:1913: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:1925: \"$ac_try\"") >&5
+ { (eval echo "$as_me:1916: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:1928: \$? = $ac_status" >&5
+ echo "$as_me:1919: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_prog_cc_g=yes
else
@@ -1935,7 +1926,7 @@ ac_cv_prog_cc_g=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:1938: result: $ac_cv_prog_cc_g" >&5
+echo "$as_me:1929: result: $ac_cv_prog_cc_g" >&5
echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
if test "$ac_test_CFLAGS" = set; then
CFLAGS=$ac_save_CFLAGS
@@ -1962,16 +1953,16 @@ cat >conftest.$ac_ext <<_ACEOF
#endif
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1965: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1956: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:1968: \$? = $ac_status" >&5
+ echo "$as_me:1959: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:1971: \"$ac_try\"") >&5
+ { (eval echo "$as_me:1962: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:1974: \$? = $ac_status" >&5
+ echo "$as_me:1965: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
for ac_declaration in \
''\
@@ -1983,7 +1974,7 @@ if { (eval echo "$as_me:1965: \"$ac_comp
'void exit (int);'
do
cat >conftest.$ac_ext <<_ACEOF
-#line 1986 "configure"
+#line 1977 "configure"
#include "confdefs.h"
#include <stdlib.h>
$ac_declaration
@@ -1996,16 +1987,16 @@ exit (42);
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1999: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1990: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:2002: \$? = $ac_status" >&5
+ echo "$as_me:1993: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:2005: \"$ac_try\"") >&5
+ { (eval echo "$as_me:1996: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:2008: \$? = $ac_status" >&5
+ echo "$as_me:1999: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
:
else
@@ -2015,7 +2006,7 @@ continue
fi
rm -f conftest.$ac_objext conftest.$ac_ext
cat >conftest.$ac_ext <<_ACEOF
-#line 2018 "configure"
+#line 2009 "configure"
#include "confdefs.h"
$ac_declaration
int
@@ -2027,16 +2018,16 @@ exit (42);
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2030: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2021: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:2033: \$? = $ac_status" >&5
+ echo "$as_me:2024: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:2036: \"$ac_try\"") >&5
+ { (eval echo "$as_me:2027: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:2039: \$? = $ac_status" >&5
+ echo "$as_me:2030: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
break
else
@@ -2071,7 +2062,7 @@ doit:
@echo done
END
# If we don't find an include directive, just comment out the code.
-echo "$as_me:2074: checking for style of include used by $am_make" >&5
+echo "$as_me:2065: checking for style of include used by $am_make" >&5
echo $ECHO_N "checking for style of include used by $am_make... $ECHO_C" >&6
am__include='#'
am__quote=
@@ -2098,13 +2089,13 @@ if test "$am__include" = "#"; then
fi
fi
-echo "$as_me:2101: result: $_am_result" >&5
+echo "$as_me:2092: result: $_am_result" >&5
echo "${ECHO_T}$_am_result" >&6
rm -f confinc confmf
depcc="$CC" am_compiler_list=
-echo "$as_me:2107: checking dependency style of $depcc" >&5
+echo "$as_me:2098: checking dependency style of $depcc" >&5
echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6
if test "${am_cv_CC_dependencies_compiler_type+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2166,7 +2157,7 @@ else
fi
fi
-echo "$as_me:2169: result: $am_cv_CC_dependencies_compiler_type" >&5
+echo "$as_me:2160: result: $am_cv_CC_dependencies_compiler_type" >&5
echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6
CCDEPMODE="depmode=$am_cv_CC_dependencies_compiler_type"
@@ -2180,7 +2171,7 @@ if test -n "$ac_tool_prefix"; then
do
# Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:2183: checking for $ac_word" >&5
+echo "$as_me:2174: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CXX+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2195,7 +2186,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
-echo "$as_me:2198: found $ac_dir/$ac_word" >&5
+echo "$as_me:2189: found $ac_dir/$ac_word" >&5
break
done
@@ -2203,10 +2194,10 @@ fi
fi
CXX=$ac_cv_prog_CXX
if test -n "$CXX"; then
- echo "$as_me:2206: result: $CXX" >&5
+ echo "$as_me:2197: result: $CXX" >&5
echo "${ECHO_T}$CXX" >&6
else
- echo "$as_me:2209: result: no" >&5
+ echo "$as_me:2200: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -2219,7 +2210,7 @@ if test -z "$CXX"; then
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
-echo "$as_me:2222: checking for $ac_word" >&5
+echo "$as_me:2213: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2234,7 +2225,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_CXX="$ac_prog"
-echo "$as_me:2237: found $ac_dir/$ac_word" >&5
+echo "$as_me:2228: found $ac_dir/$ac_word" >&5
break
done
@@ -2242,10 +2233,10 @@ fi
fi
ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
if test -n "$ac_ct_CXX"; then
- echo "$as_me:2245: result: $ac_ct_CXX" >&5
+ echo "$as_me:2236: result: $ac_ct_CXX" >&5
echo "${ECHO_T}$ac_ct_CXX" >&6
else
- echo "$as_me:2248: result: no" >&5
+ echo "$as_me:2239: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -2257,32 +2248,32 @@ test -n "$ac_ct_CXX" || ac_ct_CXX="g++"
fi
# Provide some information about the compiler.
-echo "$as_me:2260:" \
+echo "$as_me:2251:" \
"checking for C++ compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
-{ (eval echo "$as_me:2263: \"$ac_compiler --version </dev/null >&5\"") >&5
+{ (eval echo "$as_me:2254: \"$ac_compiler --version </dev/null >&5\"") >&5
(eval $ac_compiler --version </dev/null >&5) 2>&5
ac_status=$?
- echo "$as_me:2266: \$? = $ac_status" >&5
+ echo "$as_me:2257: \$? = $ac_status" >&5
(exit $ac_status); }
-{ (eval echo "$as_me:2268: \"$ac_compiler -v </dev/null >&5\"") >&5
+{ (eval echo "$as_me:2259: \"$ac_compiler -v </dev/null >&5\"") >&5
(eval $ac_compiler -v </dev/null >&5) 2>&5
ac_status=$?
- echo "$as_me:2271: \$? = $ac_status" >&5
+ echo "$as_me:2262: \$? = $ac_status" >&5
(exit $ac_status); }
-{ (eval echo "$as_me:2273: \"$ac_compiler -V </dev/null >&5\"") >&5
+{ (eval echo "$as_me:2264: \"$ac_compiler -V </dev/null >&5\"") >&5
(eval $ac_compiler -V </dev/null >&5) 2>&5
ac_status=$?
- echo "$as_me:2276: \$? = $ac_status" >&5
+ echo "$as_me:2267: \$? = $ac_status" >&5
(exit $ac_status); }
-echo "$as_me:2279: checking whether we are using the GNU C++ compiler" >&5
+echo "$as_me:2270: checking whether we are using the GNU C++ compiler" >&5
echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 2285 "configure"
+#line 2276 "configure"
#include "confdefs.h"
int
@@ -2297,16 +2288,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2300: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2291: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:2303: \$? = $ac_status" >&5
+ echo "$as_me:2294: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:2306: \"$ac_try\"") >&5
+ { (eval echo "$as_me:2297: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:2309: \$? = $ac_status" >&5
+ echo "$as_me:2300: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_compiler_gnu=yes
else
@@ -2318,19 +2309,19 @@ rm -f conftest.$ac_objext conftest.$ac_e
ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
fi
-echo "$as_me:2321: result: $ac_cv_cxx_compiler_gnu" >&5
+echo "$as_me:2312: result: $ac_cv_cxx_compiler_gnu" >&5
echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
GXX=`test $ac_compiler_gnu = yes && echo yes`
ac_test_CXXFLAGS=${CXXFLAGS+set}
ac_save_CXXFLAGS=$CXXFLAGS
CXXFLAGS="-g"
-echo "$as_me:2327: checking whether $CXX accepts -g" >&5
+echo "$as_me:2318: checking whether $CXX accepts -g" >&5
echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
if test "${ac_cv_prog_cxx_g+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 2333 "configure"
+#line 2324 "configure"
#include "confdefs.h"
int
@@ -2342,16 +2333,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2345: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2336: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:2348: \$? = $ac_status" >&5
+ echo "$as_me:2339: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:2351: \"$ac_try\"") >&5
+ { (eval echo "$as_me:2342: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:2354: \$? = $ac_status" >&5
+ echo "$as_me:2345: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_prog_cxx_g=yes
else
@@ -2361,7 +2352,7 @@ ac_cv_prog_cxx_g=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:2364: result: $ac_cv_prog_cxx_g" >&5
+echo "$as_me:2355: result: $ac_cv_prog_cxx_g" >&5
echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
if test "$ac_test_CXXFLAGS" = set; then
CXXFLAGS=$ac_save_CXXFLAGS
@@ -2388,7 +2379,7 @@ for ac_declaration in \
'void exit (int);'
do
cat >conftest.$ac_ext <<_ACEOF
-#line 2391 "configure"
+#line 2382 "configure"
#include "confdefs.h"
#include <stdlib.h>
$ac_declaration
@@ -2401,16 +2392,16 @@ exit (42);
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2404: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2395: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:2407: \$? = $ac_status" >&5
+ echo "$as_me:2398: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:2410: \"$ac_try\"") >&5
+ { (eval echo "$as_me:2401: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:2413: \$? = $ac_status" >&5
+ echo "$as_me:2404: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
:
else
@@ -2420,7 +2411,7 @@ continue
fi
rm -f conftest.$ac_objext conftest.$ac_ext
cat >conftest.$ac_ext <<_ACEOF
-#line 2423 "configure"
+#line 2414 "configure"
#include "confdefs.h"
$ac_declaration
int
@@ -2432,16 +2423,16 @@ exit (42);
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2435: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2426: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:2438: \$? = $ac_status" >&5
+ echo "$as_me:2429: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:2441: \"$ac_try\"") >&5
+ { (eval echo "$as_me:2432: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:2444: \$? = $ac_status" >&5
+ echo "$as_me:2435: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
break
else
@@ -2465,7 +2456,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
depcc="$CXX" am_compiler_list=
-echo "$as_me:2468: checking dependency style of $depcc" >&5
+echo "$as_me:2459: checking dependency style of $depcc" >&5
echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6
if test "${am_cv_CXX_dependencies_compiler_type+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2527,7 +2518,7 @@ else
fi
fi
-echo "$as_me:2530: result: $am_cv_CXX_dependencies_compiler_type" >&5
+echo "$as_me:2521: result: $am_cv_CXX_dependencies_compiler_type" >&5
echo "${ECHO_T}$am_cv_CXX_dependencies_compiler_type" >&6
CXXDEPMODE="depmode=$am_cv_CXX_dependencies_compiler_type"
@@ -2536,7 +2527,7 @@ ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:2539: checking how to run the C preprocessor" >&5
+echo "$as_me:2530: checking how to run the C preprocessor" >&5
echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
@@ -2557,18 +2548,18 @@ do
# On the NeXT, cc -E runs the code through the compiler's parser,
# not just through cpp. "Syntax error" is here to catch this case.
cat >conftest.$ac_ext <<_ACEOF
-#line 2560 "configure"
+#line 2551 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax error
_ACEOF
-if { (eval echo "$as_me:2565: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:2556: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:2571: \$? = $ac_status" >&5
+ echo "$as_me:2562: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -2591,17 +2582,17 @@ rm -f conftest.err conftest.$ac_ext
# OK, works on sane cases. Now check whether non-existent headers
# can be detected and how.
cat >conftest.$ac_ext <<_ACEOF
-#line 2594 "configure"
+#line 2585 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
_ACEOF
-if { (eval echo "$as_me:2598: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:2589: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:2604: \$? = $ac_status" >&5
+ echo "$as_me:2595: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -2638,7 +2629,7 @@ fi
else
ac_cv_prog_CPP=$CPP
fi
-echo "$as_me:2641: result: $CPP" >&5
+echo "$as_me:2632: result: $CPP" >&5
echo "${ECHO_T}$CPP" >&6
ac_preproc_ok=false
for ac_c_preproc_warn_flag in '' yes
@@ -2648,18 +2639,18 @@ do
# On the NeXT, cc -E runs the code through the compiler's parser,
# not just through cpp. "Syntax error" is here to catch this case.
cat >conftest.$ac_ext <<_ACEOF
-#line 2651 "configure"
+#line 2642 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax error
_ACEOF
-if { (eval echo "$as_me:2656: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:2647: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:2662: \$? = $ac_status" >&5
+ echo "$as_me:2653: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -2682,17 +2673,17 @@ rm -f conftest.err conftest.$ac_ext
# OK, works on sane cases. Now check whether non-existent headers
# can be detected and how.
cat >conftest.$ac_ext <<_ACEOF
-#line 2685 "configure"
+#line 2676 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
_ACEOF
-if { (eval echo "$as_me:2689: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:2680: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:2695: \$? = $ac_status" >&5
+ echo "$as_me:2686: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -2720,7 +2711,7 @@ rm -f conftest.err conftest.$ac_ext
if $ac_preproc_ok; then
:
else
- { { echo "$as_me:2723: error: C preprocessor \"$CPP\" fails sanity check" >&5
+ { { echo "$as_me:2714: error: C preprocessor \"$CPP\" fails sanity check" >&5
echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check" >&2;}
{ (exit 1); exit 1; }; }
fi
@@ -2734,7 +2725,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
set dummy ${ac_tool_prefix}ranlib; ac_word=$2
-echo "$as_me:2737: checking for $ac_word" >&5
+echo "$as_me:2728: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_RANLIB+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2749,7 +2740,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_RANLIB="${ac_tool_prefix}ranlib"
-echo "$as_me:2752: found $ac_dir/$ac_word" >&5
+echo "$as_me:2743: found $ac_dir/$ac_word" >&5
break
done
@@ -2757,10 +2748,10 @@ fi
fi
RANLIB=$ac_cv_prog_RANLIB
if test -n "$RANLIB"; then
- echo "$as_me:2760: result: $RANLIB" >&5
+ echo "$as_me:2751: result: $RANLIB" >&5
echo "${ECHO_T}$RANLIB" >&6
else
- echo "$as_me:2763: result: no" >&5
+ echo "$as_me:2754: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -2769,7 +2760,7 @@ if test -z "$ac_cv_prog_RANLIB"; then
ac_ct_RANLIB=$RANLIB
# Extract the first word of "ranlib", so it can be a program name with args.
set dummy ranlib; ac_word=$2
-echo "$as_me:2772: checking for $ac_word" >&5
+echo "$as_me:2763: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_RANLIB+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2784,7 +2775,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_RANLIB="ranlib"
-echo "$as_me:2787: found $ac_dir/$ac_word" >&5
+echo "$as_me:2778: found $ac_dir/$ac_word" >&5
break
done
@@ -2793,10 +2784,10 @@ fi
fi
ac_ct_RANLIB=$ac_cv_prog_ac_ct_RANLIB
if test -n "$ac_ct_RANLIB"; then
- echo "$as_me:2796: result: $ac_ct_RANLIB" >&5
+ echo "$as_me:2787: result: $ac_ct_RANLIB" >&5
echo "${ECHO_T}$ac_ct_RANLIB" >&6
else
- echo "$as_me:2799: result: no" >&5
+ echo "$as_me:2790: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -2896,7 +2887,7 @@ fi;
PATH="$prefix/bin:$prefix/usr/bin:$PATH"
# Extract the first word of "sdl-config", so it can be a program name with args.
set dummy sdl-config; ac_word=$2
-echo "$as_me:2899: checking for $ac_word" >&5
+echo "$as_me:2890: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_SDL_CONFIG+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2913,7 +2904,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_SDL_CONFIG="$ac_dir/$ac_word"
- echo "$as_me:2916: found $ac_dir/$ac_word" >&5
+ echo "$as_me:2907: found $ac_dir/$ac_word" >&5
break
fi
done
@@ -2925,15 +2916,15 @@ fi
SDL_CONFIG=$ac_cv_path_SDL_CONFIG
if test -n "$SDL_CONFIG"; then
- echo "$as_me:2928: result: $SDL_CONFIG" >&5
+ echo "$as_me:2919: result: $SDL_CONFIG" >&5
echo "${ECHO_T}$SDL_CONFIG" >&6
else
- echo "$as_me:2931: result: no" >&5
+ echo "$as_me:2922: result: no" >&5
echo "${ECHO_T}no" >&6
fi
min_sdl_version=1.1.0
- echo "$as_me:2936: checking for SDL - version >= $min_sdl_version" >&5
+ echo "$as_me:2927: checking for SDL - version >= $min_sdl_version" >&5
echo $ECHO_N "checking for SDL - version >= $min_sdl_version... $ECHO_C" >&6
no_sdl=""
if test "$SDL_CONFIG" = "no" ; then
@@ -2958,7 +2949,7 @@ echo $ECHO_N "checking for SDL - version
echo $ac_n "cross compiling; assumed OK... $ac_c"
else
cat >conftest.$ac_ext <<_ACEOF
-#line 2961 "configure"
+#line 2952 "configure"
#include "confdefs.h"
#include <stdio.h>
@@ -3019,15 +3010,15 @@ int main (int argc, char *argv[])
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:3022: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3013: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3025: \$? = $ac_status" >&5
+ echo "$as_me:3016: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:3027: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3018: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3030: \$? = $ac_status" >&5
+ echo "$as_me:3021: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
:
else
@@ -3043,11 +3034,11 @@ fi
fi
fi
if test "x$no_sdl" = x ; then
- echo "$as_me:3046: result: yes" >&5
+ echo "$as_me:3037: result: yes" >&5
echo "${ECHO_T}yes" >&6
CFLAGS="$CFLAGS $SDL_CFLAGS"; CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"; LIBS="$LIBS $SDL_LIBS"
else
- echo "$as_me:3050: result: no" >&5
+ echo "$as_me:3041: result: no" >&5
echo "${ECHO_T}no" >&6
if test "$SDL_CONFIG" = "no" ; then
echo "*** The sdl-config script installed by SDL could not be found"
@@ -3062,7 +3053,7 @@ echo "${ECHO_T}no" >&6
CFLAGS="$CFLAGS $SDL_CFLAGS"
LIBS="$LIBS $SDL_LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 3065 "configure"
+#line 3056 "configure"
#include "confdefs.h"
#include <stdio.h>
@@ -3082,16 +3073,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3085: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3076: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3088: \$? = $ac_status" >&5
+ echo "$as_me:3079: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3091: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3082: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3094: \$? = $ac_status" >&5
+ echo "$as_me:3085: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
echo "*** The test program compiled, but did not run. This usually means"
echo "*** that the run-time linker is not finding SDL or finding the wrong"
@@ -3117,14 +3108,14 @@ rm -f conftest.$ac_objext conftest$ac_ex
fi
SDL_CFLAGS=""
SDL_LIBS=""
- { { echo "$as_me:3120: error: SDL is not installed" >&5
+ { { echo "$as_me:3111: error: SDL is not installed" >&5
echo "$as_me: error: SDL is not installed" >&2;}
{ (exit 1); exit 1; }; }
fi
rm -f conf.sdltest
-echo "$as_me:3127: checking for main in -lGL" >&5
+echo "$as_me:3118: checking for main in -lGL" >&5
echo $ECHO_N "checking for main in -lGL... $ECHO_C" >&6
if test "${ac_cv_lib_GL_main+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3132,7 +3123,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lGL $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 3135 "configure"
+#line 3126 "configure"
#include "confdefs.h"
int
@@ -3144,16 +3135,16 @@ main ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3147: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3138: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3150: \$? = $ac_status" >&5
+ echo "$as_me:3141: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3153: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3144: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3156: \$? = $ac_status" >&5
+ echo "$as_me:3147: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_GL_main=yes
else
@@ -3164,7 +3155,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:3167: result: $ac_cv_lib_GL_main" >&5
+echo "$as_me:3158: result: $ac_cv_lib_GL_main" >&5
echo "${ECHO_T}$ac_cv_lib_GL_main" >&6
if test $ac_cv_lib_GL_main = yes; then
cat >>confdefs.h <<EOF
@@ -3174,12 +3165,12 @@ EOF
LIBS="-lGL $LIBS"
else
- { { echo "$as_me:3177: error: OpenGL is not installed" >&5
+ { { echo "$as_me:3168: error: OpenGL is not installed" >&5
echo "$as_me: error: OpenGL is not installed" >&2;}
{ (exit 1); exit 1; }; }
fi
-echo "$as_me:3182: checking for gzopen in -lz" >&5
+echo "$as_me:3173: checking for gzopen in -lz" >&5
echo $ECHO_N "checking for gzopen in -lz... $ECHO_C" >&6
if test "${ac_cv_lib_z_gzopen+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3187,7 +3178,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lz $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 3190 "configure"
+#line 3181 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@@ -3206,16 +3197,16 @@ gzopen ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3209: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3200: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3212: \$? = $ac_status" >&5
+ echo "$as_me:3203: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3215: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3206: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3218: \$? = $ac_status" >&5
+ echo "$as_me:3209: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_z_gzopen=yes
else
@@ -3226,7 +3217,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:3229: result: $ac_cv_lib_z_gzopen" >&5
+echo "$as_me:3220: result: $ac_cv_lib_z_gzopen" >&5
echo "${ECHO_T}$ac_cv_lib_z_gzopen" >&6
if test $ac_cv_lib_z_gzopen = yes; then
cat >>confdefs.h <<EOF
@@ -3236,12 +3227,12 @@ EOF
LIBS="-lz $LIBS"
else
- { { echo "$as_me:3239: error: libz is not installed" >&5
+ { { echo "$as_me:3230: error: libz is not installed" >&5
echo "$as_me: error: libz is not installed" >&2;}
{ (exit 1); exit 1; }; }
fi
-echo "$as_me:3244: checking for png_read_info in -lpng" >&5
+echo "$as_me:3235: checking for png_read_info in -lpng" >&5
echo $ECHO_N "checking for png_read_info in -lpng... $ECHO_C" >&6
if test "${ac_cv_lib_png_png_read_info+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3249,7 +3240,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lpng $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 3252 "configure"
+#line 3243 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@@ -3268,16 +3259,16 @@ png_read_info ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3271: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3262: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3274: \$? = $ac_status" >&5
+ echo "$as_me:3265: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3277: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3268: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3280: \$? = $ac_status" >&5
+ echo "$as_me:3271: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_png_png_read_info=yes
else
@@ -3288,7 +3279,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:3291: result: $ac_cv_lib_png_png_read_info" >&5
+echo "$as_me:3282: result: $ac_cv_lib_png_png_read_info" >&5
echo "${ECHO_T}$ac_cv_lib_png_png_read_info" >&6
if test $ac_cv_lib_png_png_read_info = yes; then
cat >>confdefs.h <<EOF
@@ -3298,7 +3289,7 @@ EOF
LIBS="-lpng $LIBS"
else
- { { echo "$as_me:3301: error: libpng is not installed" >&5
+ { { echo "$as_me:3292: error: libpng is not installed" >&5
echo "$as_me: error: libpng is not installed" >&2;}
{ (exit 1); exit 1; }; }
fi
@@ -3336,7 +3327,7 @@ else
fi;
if test "x$use_sound" = xyes; then
-echo "$as_me:3339: checking for main in -lsmpeg" >&5
+echo "$as_me:3330: checking for main in -lsmpeg" >&5
echo $ECHO_N "checking for main in -lsmpeg... $ECHO_C" >&6
if test "${ac_cv_lib_smpeg_main+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3344,7 +3335,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lsmpeg $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 3347 "configure"
+#line 3338 "configure"
#include "confdefs.h"
int
@@ -3356,16 +3347,16 @@ main ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3359: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3350: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3362: \$? = $ac_status" >&5
+ echo "$as_me:3353: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3365: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3356: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3368: \$? = $ac_status" >&5
+ echo "$as_me:3359: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_smpeg_main=yes
else
@@ -3376,7 +3367,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:3379: result: $ac_cv_lib_smpeg_main" >&5
+echo "$as_me:3370: result: $ac_cv_lib_smpeg_main" >&5
echo "${ECHO_T}$ac_cv_lib_smpeg_main" >&6
if test $ac_cv_lib_smpeg_main = yes; then
cat >>confdefs.h <<EOF
@@ -3386,11 +3377,11 @@ EOF
LIBS="-lsmpeg $LIBS"
else
- { echo "$as_me:3389: WARNING: smpeg not found - music playback may not work correctly" >&5
+ { echo "$as_me:3380: WARNING: smpeg not found - music playback may not work correctly" >&5
echo "$as_me: WARNING: smpeg not found - music playback may not work correctly" >&2;}
fi
-echo "$as_me:3393: checking for main in -logg" >&5
+echo "$as_me:3384: checking for main in -logg" >&5
echo $ECHO_N "checking for main in -logg... $ECHO_C" >&6
if test "${ac_cv_lib_ogg_main+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3398,7 +3389,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-logg $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 3401 "configure"
+#line 3392 "configure"
#include "confdefs.h"
int
@@ -3410,16 +3401,16 @@ main ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3413: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3404: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3416: \$? = $ac_status" >&5
+ echo "$as_me:3407: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3419: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3410: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3422: \$? = $ac_status" >&5
+ echo "$as_me:3413: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_ogg_main=yes
else
@@ -3430,7 +3421,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:3433: result: $ac_cv_lib_ogg_main" >&5
+echo "$as_me:3424: result: $ac_cv_lib_ogg_main" >&5
echo "${ECHO_T}$ac_cv_lib_ogg_main" >&6
if test $ac_cv_lib_ogg_main = yes; then
cat >>confdefs.h <<EOF
@@ -3440,11 +3431,11 @@ EOF
LIBS="-logg $LIBS"
else
- { echo "$as_me:3443: WARNING: ogg not found - music playback may not work correctly" >&5
+ { echo "$as_me:3434: WARNING: ogg not found - music playback may not work correctly" >&5
echo "$as_me: WARNING: ogg not found - music playback may not work correctly" >&2;}
fi
-echo "$as_me:3447: checking for main in -lvorbis" >&5
+echo "$as_me:3438: checking for main in -lvorbis" >&5
echo $ECHO_N "checking for main in -lvorbis... $ECHO_C" >&6
if test "${ac_cv_lib_vorbis_main+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3452,7 +3443,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lvorbis $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 3455 "configure"
+#line 3446 "configure"
#include "confdefs.h"
int
@@ -3464,16 +3455,16 @@ main ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3467: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3458: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3470: \$? = $ac_status" >&5
+ echo "$as_me:3461: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3473: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3464: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3476: \$? = $ac_status" >&5
+ echo "$as_me:3467: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_vorbis_main=yes
else
@@ -3484,7 +3475,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:3487: result: $ac_cv_lib_vorbis_main" >&5
+echo "$as_me:3478: result: $ac_cv_lib_vorbis_main" >&5
echo "${ECHO_T}$ac_cv_lib_vorbis_main" >&6
if test $ac_cv_lib_vorbis_main = yes; then
cat >>confdefs.h <<EOF
@@ -3494,11 +3485,11 @@ EOF
LIBS="-lvorbis $LIBS"
else
- { echo "$as_me:3497: WARNING: vorbis not found - music playback may not work correctly" >&5
+ { echo "$as_me:3488: WARNING: vorbis not found - music playback may not work correctly" >&5
echo "$as_me: WARNING: vorbis not found - music playback may not work correctly" >&2;}
fi
-echo "$as_me:3501: checking for main in -lvorbisfile" >&5
+echo "$as_me:3492: checking for main in -lvorbisfile" >&5
echo $ECHO_N "checking for main in -lvorbisfile... $ECHO_C" >&6
if test "${ac_cv_lib_vorbisfile_main+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3506,7 +3497,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lvorbisfile $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 3509 "configure"
+#line 3500 "configure"
#include "confdefs.h"
int
@@ -3518,16 +3509,16 @@ main ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3521: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3512: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3524: \$? = $ac_status" >&5
+ echo "$as_me:3515: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3527: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3518: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3530: \$? = $ac_status" >&5
+ echo "$as_me:3521: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_vorbisfile_main=yes
else
@@ -3538,7 +3529,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:3541: result: $ac_cv_lib_vorbisfile_main" >&5
+echo "$as_me:3532: result: $ac_cv_lib_vorbisfile_main" >&5
echo "${ECHO_T}$ac_cv_lib_vorbisfile_main" >&6
if test $ac_cv_lib_vorbisfile_main = yes; then
cat >>confdefs.h <<EOF
@@ -3548,11 +3539,11 @@ EOF
LIBS="-lvorbisfile $LIBS"
else
- { echo "$as_me:3551: WARNING: vorbisfile not found - music playback may not work correctly" >&5
+ { echo "$as_me:3542: WARNING: vorbisfile not found - music playback may not work correctly" >&5
echo "$as_me: WARNING: vorbisfile not found - music playback may not work correctly" >&2;}
fi
-echo "$as_me:3555: checking for main in -lsmpeg" >&5
+echo "$as_me:3546: checking for main in -lsmpeg" >&5
echo $ECHO_N "checking for main in -lsmpeg... $ECHO_C" >&6
if test "${ac_cv_lib_smpeg_main+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3560,7 +3551,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lsmpeg $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 3563 "configure"
+#line 3554 "configure"
#include "confdefs.h"
int
@@ -3572,16 +3563,16 @@ main ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3575: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3566: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3578: \$? = $ac_status" >&5
+ echo "$as_me:3569: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3581: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3572: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3584: \$? = $ac_status" >&5
+ echo "$as_me:3575: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_smpeg_main=yes
else
@@ -3592,7 +3583,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:3595: result: $ac_cv_lib_smpeg_main" >&5
+echo "$as_me:3586: result: $ac_cv_lib_smpeg_main" >&5
echo "${ECHO_T}$ac_cv_lib_smpeg_main" >&6
if test $ac_cv_lib_smpeg_main = yes; then
cat >>confdefs.h <<EOF
@@ -3602,11 +3593,11 @@ EOF
LIBS="-lsmpeg $LIBS"
else
- { echo "$as_me:3605: WARNING: smpeg not found - music playback may not work correctly" >&5
+ { echo "$as_me:3596: WARNING: smpeg not found - music playback may not work correctly" >&5
echo "$as_me: WARNING: smpeg not found - music playback may not work correctly" >&2;}
fi
-echo "$as_me:3609: checking for main in -lmikmod" >&5
+echo "$as_me:3600: checking for main in -lmikmod" >&5
echo $ECHO_N "checking for main in -lmikmod... $ECHO_C" >&6
if test "${ac_cv_lib_mikmod_main+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3614,7 +3605,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lmikmod $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 3617 "configure"
+#line 3608 "configure"
#include "confdefs.h"
int
@@ -3626,16 +3617,16 @@ main ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3629: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3620: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3632: \$? = $ac_status" >&5
+ echo "$as_me:3623: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3635: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3626: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3638: \$? = $ac_status" >&5
+ echo "$as_me:3629: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_mikmod_main=yes
else
@@ -3646,7 +3637,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:3649: result: $ac_cv_lib_mikmod_main" >&5
+echo "$as_me:3640: result: $ac_cv_lib_mikmod_main" >&5
echo "${ECHO_T}$ac_cv_lib_mikmod_main" >&6
if test $ac_cv_lib_mikmod_main = yes; then
cat >>confdefs.h <<EOF
@@ -3656,11 +3647,11 @@ EOF
LIBS="-lmikmod $LIBS"
else
- { echo "$as_me:3659: WARNING: mikmod not found - music playback may not work correctly" >&5
+ { echo "$as_me:3650: WARNING: mikmod not found - music playback may not work correctly" >&5
echo "$as_me: WARNING: mikmod not found - music playback may not work correctly" >&2;}
fi
- echo "$as_me:3663: checking for Sound_Init in -lSDL_sound" >&5
+ echo "$as_me:3654: checking for Sound_Init in -lSDL_sound" >&5
echo $ECHO_N "checking for Sound_Init in -lSDL_sound... $ECHO_C" >&6
if test "${ac_cv_lib_SDL_sound_Sound_Init+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3668,7 +3659,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lSDL_sound $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 3671 "configure"
+#line 3662 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@@ -3687,16 +3678,16 @@ Sound_Init ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3690: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3681: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3693: \$? = $ac_status" >&5
+ echo "$as_me:3684: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3696: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3687: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3699: \$? = $ac_status" >&5
+ echo "$as_me:3690: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_SDL_sound_Sound_Init=yes
else
@@ -3707,13 +3698,13 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:3710: result: $ac_cv_lib_SDL_sound_Sound_Init" >&5
+echo "$as_me:3701: result: $ac_cv_lib_SDL_sound_Sound_Init" >&5
echo "${ECHO_T}$ac_cv_lib_SDL_sound_Sound_Init" >&6
if test $ac_cv_lib_SDL_sound_Sound_Init = yes; then
LIBS="-lSDL_sound $LIBS";
SOUND_OBJS="sound.o sound_glue.o Source.o Source3D.o SourceMusic.o SourceSample.o SoundSystem.o SourceCopy.o SourceEngine.o"
else
- { echo "$as_me:3716: WARNING: SDL_sound not found - disabling sound" >&5
+ { echo "$as_me:3707: WARNING: SDL_sound not found - disabling sound" >&5
echo "$as_me: WARNING: SDL_sound not found - disabling sound" >&2;};
SOUND_OBJS="sound_stubs.o sound_glue_stubs.o"
fi
@@ -3731,7 +3722,7 @@ else
enable_network=off
fi;
if test "x$enable_network" = xyes; then
- echo "$as_me:3734: checking for SDLNet_Init in -lSDL_net" >&5
+ echo "$as_me:3725: checking for SDLNet_Init in -lSDL_net" >&5
echo $ECHO_N "checking for SDLNet_Init in -lSDL_net... $ECHO_C" >&6
if test "${ac_cv_lib_SDL_net_SDLNet_Init+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3739,7 +3730,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lSDL_net $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 3742 "configure"
+#line 3733 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@@ -3758,16 +3749,16 @@ SDLNet_Init ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3761: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3752: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3764: \$? = $ac_status" >&5
+ echo "$as_me:3755: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3767: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3758: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3770: \$? = $ac_status" >&5
+ echo "$as_me:3761: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_SDL_net_SDLNet_Init=yes
else
@@ -3778,26 +3769,26 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:3781: result: $ac_cv_lib_SDL_net_SDLNet_Init" >&5
+echo "$as_me:3772: result: $ac_cv_lib_SDL_net_SDLNet_Init" >&5
echo "${ECHO_T}$ac_cv_lib_SDL_net_SDLNet_Init" >&6
if test $ac_cv_lib_SDL_net_SDLNet_Init = yes; then
CFLAGS="$CFLAGS -DNETWORK";
LIBS="$LIBS -lSDL_net";
NETWORK_OBJS="network.o system_net.o"
else
- { echo "$as_me:3788: WARNING: SDL_net not found - disabling network" >&5
+ { echo "$as_me:3779: WARNING: SDL_net not found - disabling network" >&5
echo "$as_me: WARNING: SDL_net not found - disabling network" >&2;}
fi
fi
-echo "$as_me:3794: checking for ANSI C header files" >&5
+echo "$as_me:3785: checking for ANSI C header files" >&5
echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
if test "${ac_cv_header_stdc+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 3800 "configure"
+#line 3791 "configure"
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
@@ -3805,13 +3796,13 @@ else
#include <float.h>
_ACEOF
-if { (eval echo "$as_me:3808: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:3799: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:3814: \$? = $ac_status" >&5
+ echo "$as_me:3805: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -3833,7 +3824,7 @@ rm -f conftest.err conftest.$ac_ext
if test $ac_cv_header_stdc = yes; then
# SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat >conftest.$ac_ext <<_ACEOF
-#line 3836 "configure"
+#line 3827 "configure"
#include "confdefs.h"
#include <string.h>
@@ -3851,7 +3842,7 @@ fi
if test $ac_cv_header_stdc = yes; then
# ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
cat >conftest.$ac_ext <<_ACEOF
-#line 3854 "configure"
+#line 3845 "configure"
#include "confdefs.h"
#include <stdlib.h>
@@ -3872,7 +3863,7 @@ if test $ac_cv_header_stdc = yes; then
:
else
cat >conftest.$ac_ext <<_ACEOF
-#line 3875 "configure"
+#line 3866 "configure"
#include "confdefs.h"
#include <ctype.h>
#if ((' ' & 0x0FF) == 0x020)
@@ -3898,15 +3889,15 @@ main ()
}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:3901: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3892: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3904: \$? = $ac_status" >&5
+ echo "$as_me:3895: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:3906: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3897: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3909: \$? = $ac_status" >&5
+ echo "$as_me:3900: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
:
else
@@ -3919,7 +3910,7 @@ rm -f core core.* *.core conftest$ac_exe
fi
fi
fi
-echo "$as_me:3922: result: $ac_cv_header_stdc" >&5
+echo "$as_me:3913: result: $ac_cv_header_stdc" >&5
echo "${ECHO_T}$ac_cv_header_stdc" >&6
if test $ac_cv_header_stdc = yes; then
@@ -3932,23 +3923,23 @@ fi
for ac_header in unistd.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:3935: checking for $ac_header" >&5
+echo "$as_me:3926: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 3941 "configure"
+#line 3932 "configure"
#include "confdefs.h"
#include <$ac_header>
_ACEOF
-if { (eval echo "$as_me:3945: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:3936: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:3951: \$? = $ac_status" >&5
+ echo "$as_me:3942: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -3967,7 +3958,7 @@ else
fi
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:3970: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:3961: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -3980,23 +3971,23 @@ done
for ac_header in GL/gl.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:3983: checking for $ac_header" >&5
+echo "$as_me:3974: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 3989 "configure"
+#line 3980 "configure"
#include "confdefs.h"
#include <$ac_header>
_ACEOF
-if { (eval echo "$as_me:3993: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:3984: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:3999: \$? = $ac_status" >&5
+ echo "$as_me:3990: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -4015,7 +4006,7 @@ else
fi
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:4018: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:4009: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -4032,23 +4023,23 @@ $have_gl_h || {
for ac_header in /usr/X11R6/include/GL/gl.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:4035: checking for $ac_header" >&5
+echo "$as_me:4026: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 4041 "configure"
+#line 4032 "configure"
#include "confdefs.h"
#include <$ac_header>
_ACEOF
-if { (eval echo "$as_me:4045: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:4036: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:4051: \$? = $ac_status" >&5
+ echo "$as_me:4042: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -4067,7 +4058,7 @@ else
fi
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:4070: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:4061: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -4085,23 +4076,23 @@ $have_gl_h || {
for ac_header in /usr/local/include/GL/gl.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:4088: checking for $ac_header" >&5
+echo "$as_me:4079: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 4094 "configure"
+#line 4085 "configure"
#include "confdefs.h"
#include <$ac_header>
_ACEOF
-if { (eval echo "$as_me:4098: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:4089: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:4104: \$? = $ac_status" >&5
+ echo "$as_me:4095: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -4120,7 +4111,7 @@ else
fi
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:4123: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:4114: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -4134,205 +4125,21 @@ done
}
$have_gl_h || {
- { { echo "$as_me:4137: error: cant find GL headers" >&5
+ { { echo "$as_me:4128: error: cant find GL headers" >&5
echo "$as_me: error: cant find GL headers" >&2;}
{ (exit 1); exit 1; }; }
}
-echo "$as_me:4142: checking for $CC option to accept ANSI C" >&5
-echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
-if test "${ac_cv_prog_cc_stdc+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_prog_cc_stdc=no
-ac_save_CC=$CC
-cat >conftest.$ac_ext <<_ACEOF
-#line 4150 "configure"
-#include "confdefs.h"
-#include <stdarg.h>
-#include <stdio.h>
-#include <sys/types.h>
-#include <sys/stat.h>
-/* Most of the following tests are stolen from RCS 5.7's src/conf.sh. */
-struct buf { int x; };
-FILE * (*rcsopen) (struct buf *, struct stat *, int);
-static char *e (p, i)
- char **p;
- int i;
-{
- return p[i];
-}
-static char *f (char * (*g) (char **, int), char **p, ...)
-{
- char *s;
- va_list v;
- va_start (v,p);
- s = g (p, va_arg (v,int));
- va_end (v);
- return s;
-}
-int test (int i, double x);
-struct s1 {int (*f) (int a);};
-struct s2 {int (*f) (double a);};
-int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
-int argc;
-char **argv;
-int
-main ()
-{
-return f (e, argv, 0) != argv[0] || f (e, argv, 1) != argv[1];
- ;
- return 0;
-}
-_ACEOF
-# Don't try gcc -ansi; that turns off useful extensions and
-# breaks some systems' header files.
-# AIX -qlanglvl=ansi
-# Ultrix and OSF/1 -std1
-# HP-UX 10.20 and later -Ae
-# HP-UX older versions -Aa -D_HPUX_SOURCE
-# SVR4 -Xc -D__EXTENSIONS__
-for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
-do
- CC="$ac_save_CC $ac_arg"
- rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4199: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:4202: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:4205: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:4208: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_prog_cc_stdc=$ac_arg
-break
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-fi
-rm -f conftest.$ac_objext
-done
-rm -f conftest.$ac_ext conftest.$ac_objext
-CC=$ac_save_CC
-
-fi
-
-case "x$ac_cv_prog_cc_stdc" in
- x|xno)
- echo "$as_me:4225: result: none needed" >&5
-echo "${ECHO_T}none needed" >&6 ;;
- *)
- echo "$as_me:4228: result: $ac_cv_prog_cc_stdc" >&5
-echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
- CC="$CC $ac_cv_prog_cc_stdc" ;;
-esac
-
-echo "$as_me:4233: checking for an ANSI C-conforming const" >&5
-echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
-if test "${ac_cv_c_const+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- cat >conftest.$ac_ext <<_ACEOF
-#line 4239 "configure"
-#include "confdefs.h"
-
-int
-main ()
-{
-/* FIXME: Include the comments suggested by Paul. */
-#ifndef __cplusplus
- /* Ultrix mips cc rejects this. */
- typedef int charset[2];
- const charset x;
- /* SunOS 4.1.1 cc rejects this. */
- char const *const *ccp;
- char **p;
- /* NEC SVR4.0.2 mips cc rejects this. */
- struct point {int x, y;};
- static struct point const zero = {0,0};
- /* AIX XL C 1.02.0.0 rejects this.
- It does not let you subtract one const X* pointer from another in
- an arm of an if-expression whose if-part is not a constant
- expression */
- const char *g = "string";
- ccp = &g + (g ? g-g : 0);
- /* HPUX 7.0 cc rejects these. */
- ++ccp;
- p = (char**) ccp;
- ccp = (char const *const *) p;
- { /* SCO 3.2v4 cc rejects this. */
- char *t;
- char const *s = 0 ? (char *) 0 : (char const *) 0;
-
- *t++ = 0;
- }
- { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
- int x[] = {25, 17};
- const int *foo = &x[0];
- ++foo;
- }
- { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
- typedef const int *iptr;
- iptr p = 0;
- ++p;
- }
- { /* AIX XL C 1.02.0.0 rejects this saying
- "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
- struct s { int j; const int *ap[3]; };
- struct s *b; b->j = 5;
- }
- { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
- const int foo = 10;
- }
-#endif
-
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4297: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:4300: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:4303: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:4306: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_c_const=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_c_const=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-fi
-echo "$as_me:4316: result: $ac_cv_c_const" >&5
-echo "${ECHO_T}$ac_cv_c_const" >&6
-if test $ac_cv_c_const = no; then
-
-cat >>confdefs.h <<\EOF
-#define const
-EOF
-
-fi
-
for ac_func in strstr mkstemp
do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:4329: checking for $ac_func" >&5
+echo "$as_me:4136: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 4335 "configure"
+#line 4142 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below. */
@@ -4363,16 +4170,16 @@ f = $ac_func;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:4366: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4173: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:4369: \$? = $ac_status" >&5
+ echo "$as_me:4176: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:4372: \"$ac_try\"") >&5
+ { (eval echo "$as_me:4179: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:4375: \$? = $ac_status" >&5
+ echo "$as_me:4182: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_var=yes"
else
@@ -4382,7 +4189,7 @@ eval "$as_ac_var=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:4385: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:4192: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
if test `eval echo '${'$as_ac_var'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -4504,7 +4311,7 @@ rm -f confdef2opt.sed
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:4507: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:4314: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -4675,7 +4482,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:4678: error: ambiguous option: $1
+ { { echo "$as_me:4485: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -4694,7 +4501,7 @@ Try \`$0 --help' for more information."
ac_need_defaults=false;;
# This is an error.
- -*) { { echo "$as_me:4697: error: unrecognized option: $1
+ -*) { { echo "$as_me:4504: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@@ -4781,7 +4588,7 @@ do
"music/Makefile" ) CONFIG_FILES="$CONFIG_FILES music/Makefile" ;;
"scripts/Makefile" ) CONFIG_FILES="$CONFIG_FILES scripts/Makefile" ;;
"default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
- *) { { echo "$as_me:4784: error: invalid argument: $ac_config_target" >&5
+ *) { { echo "$as_me:4591: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -5029,7 +4836,7 @@ done; }
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:5032: creating $ac_file" >&5
+ { echo "$as_me:4839: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -5047,7 +4854,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:5050: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:4857: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -5060,7 +4867,7 @@ echo "$as_me: error: cannot find input f
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:5063: error: cannot find input file: $f" >&5
+ { { echo "$as_me:4870: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;